Subject: Re: [RFC][PATCH] Turn part of SNMP accounting macros into functions

From: Pavel Emelyanov <[email-masked]>
Date: Thu, 28 Aug 2008 16:54:32 +0400

> Sometime I wonder if a *global* pointer ('current' pointer for example 
> is not passed to every kernel function that want access to current
> struture) would save many kbytes in vmlinux text. This way, !CONFIG_NET_NS 
> overhead would completely vanish.

:) I'm glad to hear, that we're not alone with such a view of how
this have to work. We at OpenVZ proposed the current_net macro from
the very beginning, but other netns developers decided to go the other
way :(

> Oh well...

Oh well, indeed...